// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UWidget.h"
#include "Components/Widget.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UWidget::SCW_UWidget(UWidget* InWidget) : SCW_UVisual(InWidget), Widget(InWidget)
{

}

UWidget* SCW_UWidget::ToUWidget() const
{
	return Widget;
}

bool SCW_UWidget::IsVariable() const
{
	return Widget->bIsVariable;
}
